[DEFAULT]
EGO_PLAYER_ID = 1
OBJ_PLAYER_ID = 2
FREQUENCY = 100

[SINGLE_CASE_EVAL]
FIRST_ORDER_LOSS = 0.01
SECOND_ORDER_LOSS = 0.05
THIRD_ORDER_LOSS = 0.10

[SINGLE_CASE_EVALUATE]
BENCHMARK = 80
PLAYBACK_ACCURACY = 3

[DATA_PROCESS]
FRAME_RATE = 100
EGO_STATE_CSV = "EgoState.csv"

[SAFE]
TC = 0.3
BRAKE_RESPONSE_TIME = 0.3
EGO_ACCELERATE_MAX = 6
OBJ_DECELERATE_MAX = 8
EGO_DECELERATE_MIN = 1
EGO_DECELERATE_LON_MAX = 8
EGO_DECELERATE_LAT_MAX = 1

AREA_DISTANCE_LON_FRONT = 100
AREA_DISTANCE_LON_REAR = -5
AREA_DISTANCE_LAT = 4

SAFE_DISTANCE_LAT = 0.5
DECELERATE_LEFT_LAT_MIN = 1
DECELERATE_RIGHT_LAT_MIN = 1
DECELERATE_LAT_MAX = 5

[FUNCTION]
SAFE_TIME_GAP = 3
TIME_RANGE = 1
FRAME_RANGE = 13
STOP_SPEED_THRESHOLD = 0.05

CONTINUOUS_TIME_PERIOD = 1
CONTINUOUS_FRAME_PERIOD = 13

[COMPLIANCE]


[COMFORT]
TIME_RANGE = 1
FRAME_RANGE = 13
UNIT_DISTANCE = 100000
ACCELERATE_INTERPOLATION_LOW = [18, 4]
ACCELERATE_INTERPOLATION_HIGH = [72, 2]
DECELERATE_INTERPOLATION_LOW = [18, -5]
DECELERATE_INTERPOLATION_HIGH = [72, -3.5]
TW = 6000
AVG = 0.4
CR_DIFF = 0.05
T_DIFF = 0.39
CURVHOR_THRESHOLD = 0.001

[EFFICIENT]
STOP_SPEED_THRESHOLD = 0.05
STOP_TIME_THRESHOLD = 0.5

TIME_RANGE = 1
FRAME_RANGE = 13

[CUSTOM_DIMENSION]


[COMMON]
GRADE_EXCELLENT = 90
GRADE_GOOD = 80
GRADE_GENERAL = 60
# GRADE_BAD

